GDAL

Public Attributes | List of all members
VSIFilesystemPluginCallbacksStruct Struct Reference

struct containing callbacks to used by the handler. More...

`#include <cpl_vsi.h>`

## Public Attributes
void * | pUserData
| Optional opaque pointer passed back to filemanager callbacks (e.g.
VSIFilesystemPluginStatCallback | stat
| stat handle by name (rw)
VSIFilesystemPluginUnlinkCallback | unlink
| unlink handle by name ()
VSIFilesystemPluginRenameCallback | rename
| rename handle ()
VSIFilesystemPluginMkdirCallback | mkdir
| make directory ()
VSIFilesystemPluginRmdirCallback | rmdir
| remove directory ()
VSIFilesystemPluginReadDirCallback | read_dir
| list directory content (r?)
VSIFilesystemPluginOpenCallback | open
| open handle by name (rw)
VSIFilesystemPluginTellCallback | tell
| get current position of handle (rw)
VSIFilesystemPluginSeekCallback | seek
| set current position of handle (rw)
VSIFilesystemPluginReadCallback | read
| read from current position (r)
VSIFilesystemPluginReadMultiRangeCallback | read_multi_range
| read multiple blocks ()
VSIFilesystemPluginGetRangeStatusCallback | get_range_status
| get range status ()
VSIFilesystemPluginEofCallback | eof
| has end of file been reached (r?)
VSIFilesystemPluginWriteCallback | write
| write bytes to current position (w)
VSIFilesystemPluginFlushCallback | flush
| sync bytes (w)
VSIFilesystemPluginTruncateCallback | truncate
| truncate handle (w?)
VSIFilesystemPluginCloseCallback | close
| close handle (rw)
size_t | nBufferSize
| buffer small reads (makes handler read only)
size_t | nCacheSize
| max mem to use per file when buffering
VSIFilesystemPluginSiblingFilesCallback | sibling_files
| list related files
VSIFilesystemPluginAdviseReadCallback | advise_read
| The following optional member has been added in GDAL 3.7:
VSIFilesystemPluginErrorCallback | error
| has read error occurred (r)
VSIFilesystemPluginClearErrCallback | clear_err
| clear error flags(r)

## Detailed Description

struct containing callbacks to used by the handler.

(rw), (r), (w) or () at the end indicate whether the given callback is mandatory for reading and or writing handlers. A (?) indicates that the callback might be mandatory for certain drivers only.

Since
  GDAL 3.0

## Member Data Documentation

## ◆ advise_read

VSIFilesystemPluginAdviseReadCallback VSIFilesystemPluginCallbacksStruct::advise_read

The following optional member has been added in GDAL 3.7:

AdviseRead()

## ◆ pUserData

void* VSIFilesystemPluginCallbacksStruct::pUserData

Optional opaque pointer passed back to filemanager callbacks (e.g.

open, stat, rmdir)

The documentation for this struct was generated from the following file:

- cpl_vsi.h